package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.PracticeGroup;

import java.math.BigDecimal;

public class PracticeGroupDto extends PracticeGroup {

    private String teacherName;

    private String subjectName;

    private String organName;

    private BigDecimal onlineClassesUnitPrice = new BigDecimal(0);

    private BigDecimal offlineClassesUnitPrice = new BigDecimal(0);

    private Integer currentClassTimes;

    private Integer totalClassTimes;

    private Integer subClassTimes;

    private Integer studentNum;

    private Integer evaluateId;

    private Integer evaluateStatus;

    private Integer hasRestClass;

    private String educationalTeacherName;

    private String payStatus;

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getHasRestClass() {
        return hasRestClass;
    }

    public void setHasRestClass(Integer hasRestClass) {
        this.hasRestClass = hasRestClass;
    }

    public String getEducationalTeacherName() {
        return educationalTeacherName;
    }

    public void setEducationalTeacherName(String educationalTeacherName) {
        this.educationalTeacherName = educationalTeacherName;
    }

    public Integer getSubClassTimes() {
        return subClassTimes;
    }

    public void setSubClassTimes(Integer subClassTimes) {
        this.subClassTimes = subClassTimes;
    }

    public BigDecimal getOnlineClassesUnitPrice() {
        return onlineClassesUnitPrice;
    }

    public void setOnlineClassesUnitPrice(BigDecimal onlineClassesUnitPrice) {
        this.onlineClassesUnitPrice = onlineClassesUnitPrice;
    }

    public BigDecimal getOfflineClassesUnitPrice() {
        return offlineClassesUnitPrice;
    }

    public void setOfflineClassesUnitPrice(BigDecimal offlineClassesUnitPrice) {
        this.offlineClassesUnitPrice = offlineClassesUnitPrice;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getEvaluateId() {
        return evaluateId;
    }

    public void setEvaluateId(Integer evaluateId) {
        this.evaluateId = evaluateId;
    }

    public Integer getEvaluateStatus() {
        return evaluateStatus;
    }

    public void setEvaluateStatus(Integer evaluateStatus) {
        this.evaluateStatus = evaluateStatus;
    }
}
